function rows (connection, sql_statement)
  local cursor = assert(connection:execute(sql_statement))
  return function()
    return cursor:fetch()
  end
end

local conn=require "luasql.sqlite3".sqlite3():connect "luavers.db"
for version, date in rows(conn,
    "SELECT * FROM Lua WHERE version > '5.0'") do
  print(("Version: %s, date: %s"):format(version, date))
end
